Bug 11652 - Xterm fails
Xterm fails
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-05-25 02:44 EDT by chuck.moore
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-09-12 21:27:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description chuck.moore 2000-05-25 02:44:21 EDT
o: submit@bugs.gnome.org
From: chuck moore <chuck.moore@uptime.co.nz>
Subject: Xterm starts then drops out suddenly.
X-Mailer: bug-buddy 0.7

Package: general
Severity: normal
Version:

>Synopsis: Xterm starts then drops out suddenly.
>Class: sw-bug
Distribution: Red Hat Linux release 6.2 (Zoot)
System: Linux 2.2.14-5.0 i686 unknown
C library: glibc-2.1.3-15
C compiler: egcs-2.91.66
glib: 1.2.6
GTK+: 1.2.6
ORBit: ORBit 0.5.0
gnome-libs: gnome-libs 1.0.55
gnome-core: gnome-core-1.0.55-12


>Description:
When a regular X term is started in gnome or xinit is used outside gnome
or a remote client tries to use an X session, X drops out suddenly and
drops this core.


>How-To-Repeat:
Easy on my machine - install Redhat 6.2 and try to run an x term.  From
anywhere.  I have done about 20 installs with various combinations of
packages and so forth but no change.

Many details of the system are in messages file below.  The graphics card
is a Cirus Logic PCI GD5430.

I have had the same problems with an S3 Trio64 graphics card and also with
a Edimax fast Ether card using a Realtek chip set.  No problems with linux
detecting and starting these devices.

The machine has 384M of ram but configuring to use all of it does not solve
the problem.  A side effect of this problem is that the Oracle installer
for Oracle 8.1.6 kills the machine DEAD.



Debugging information:
(no debugging symbols found)...Core was generated by `xterm'.
Program terminated with signal 11, Segmentation fault.
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
#0  0x4022b03f in memset (dstpp=0x403a356d, c=128, len=1)
    at ../sysdeps/i386/memset.c:64
#0  0x4022b03f in memset (dstpp=0x403a356d, c=128, len=1)
    at ../sysdeps/i386/memset.c:64
#1  0x805dd6b in strcpy () at ../sysdeps/generic/strcpy.c:30
#2  0x80503ef in strcpy () at ../sysdeps/generic/strcpy.c:30
#3  0x805023b in strcpy () at ../sysdeps/generic/strcpy.c:30
#4  0x804e813 in strcpy () at ../sysdeps/generic/strcpy.c:30
#5  0x8052044 in strcpy () at ../sysdeps/generic/strcpy.c:30
#6  0x8057cf5 in strcpy () at ../sysdeps/generic/strcpy.c:30
#7  0x401e39cb in __libc_start_main (main=0x80571c0 <strcpy+46040>, argc=1,
    argv=0xbffffb64, init=0x804af88 <_init>, fini=0x806501c <_fini>,
    rtld_fini=0x4000ae60 <_dl_fini>, stack_end=0xbffffb5c)
    at ../sysdeps/generic/libc-start.c:92
#0  0x4022b03f in memset (dstpp=0x403a356d, c=128, len=1)
    at ../sysdeps/i386/memset.c:64
64	in ../sysdeps/i386/memset.c
len = 4294967294
d0 = 1073739099
dstp = 1077567488
x = 2155905152
#1  0x805dd6b in strcpy () at ../sysdeps/generic/strcpy.c:30
No symbol table info available.
#2  0x80503ef in strcpy () at ../sysdeps/generic/strcpy.c:30
30	in ../sysdeps/generic/strcpy.c
No symbol table info available.
#3  0x805023b in strcpy () at ../sysdeps/generic/strcpy.c:30
30	in ../sysdeps/generic/strcpy.c
No symbol table info available.
#4  0x804e813 in strcpy () at ../sysdeps/generic/strcpy.c:30
30	in ../sysdeps/generic/strcpy.c
No symbol table info available.
#5  0x8052044 in strcpy () at ../sysdeps/generic/strcpy.c:30
30	in ../sysdeps/generic/strcpy.c
No symbol table info available.
#6  0x8057cf5 in strcpy () at ../sysdeps/generic/strcpy.c:30
30	in ../sysdeps/generic/strcpy.c
No symbol table info available.
#7  0x401e39cb in __libc_start_main (main=0x80571c0 <strcpy+46040>, argc=1,
    argv=0xbffffb64, init=0x804af88 <_init>, fini=0x806501c <_fini>,
    rtld_fini=0x4000ae60 <_dl_fini>, stack_end=0xbffffb5c)
    at ../sysdeps/generic/libc-start.c:92
argv = (char **) 0x80
rtld_fini = (void (*)()) 0x403a356d
stack_end = (void *) 0x80800000



The following is the messages file that was produced at startup.
Help.


May 27 04:54:15 sarah syslogd 1.3-3: restart.
May 27 04:54:15 sarah syslog: syslogd startup succeeded
May 27 04:54:15 sarah syslog: klogd startup succeeded
May 27 04:54:15 sarah kernel: klogd 1.3-3, log source = /proc/kmsg started.
May 27 04:54:15 sarah kernel: Inspecting /boot/System.map-2.2.14-5.0
May 27 04:54:16 sarah kernel: Loaded 7364 symbols from
/boot/System.map-2.2.14-5.0.
May 27 04:54:16 sarah kernel: Symbols match kernel version 2.2.14.
May 27 04:54:16 sarah kernel: Loaded 86 symbols from 3 modules.
May 27 04:54:16 sarah kernel: Linux version 2.2.14-5.0
(root@porky.devel.redhat.com) (gcc version egcs-2.91.66 19990314/Linux
(egcs-1.1.2 release)) #1 Tue Mar 7 21:07:39 EST 2000
May 27 04:54:16 sarah kernel: Detected 551257845 Hz processor.
May 27 04:54:16 sarah kernel: Console: colour VGA+ 80x25
May 27 04:54:16 sarah kernel: Calibrating delay loop... 550.50 BogoMIPS
May 27 04:54:16 sarah kernel: Memory: 63980k/66496k available (1060k kernel
code, 416k reserved, 976k data, 64k init, 0k bigmem)
May 27 04:54:16 sarah kernel: Dentry hash table entries: 262144 (order 9,
2048k)
May 27 04:54:16 sarah kernel: Buffer cache hash table entries: 65536 (order
6, 256k)
May 27 04:54:16 sarah kernel: Page cache hash table entries: 16384 (order
4, 64k)
May 27 04:54:16 sarah kernel: VFS: Diskquotas version dquot_6.4.0
initialized
May 27 04:54:16 sarah kernel: CPU: Intel Pentium III (Coppermine) stepping
01
May 27 04:54:16 sarah kernel: Enabling extended fast FPU save and
restore...done.
May 27 04:54:16 sarah kernel: Not enabling KNI unmasked exception support
May 27 04:54:16 sarah kernel: Exception 19 error handler not integrated yet
May 27 04:54:16 sarah kernel: Disabling CPUID Serial number...done.
May 27 04:54:16 sarah kernel: Checking 386/387 coupling... OK, FPU using
exception 16 error reporting.
May 27 04:54:16 sarah kernel: Checking 'hlt' instruction... OK.
May 27 04:54:16 sarah kernel: POSIX conformance testing by UNIFIX
May 27 04:54:16 sarah kernel: mtrr: v1.35a (19990819) Richard Gooch
(rgooch@atnf.csiro.au)
May 27 04:54:16 sarah kernel: PCI: PCI BIOS revision 2.10 entry at 0xfb370
May 27 04:54:16 sarah kernel: PCI: Using configuration type 1
May 27 04:54:16 sarah kernel: PCI: Probing PCI hardware
May 27 04:54:16 sarah kernel: PCI: 00:38 [1106/0596]: Work around ISA DMA
hangs (00)
May 27 04:54:16 sarah kernel: Activating ISA DMA hang workarounds.
May 27 04:54:16 sarah kernel: Linux NET4.0 for Linux 2.2
May 27 04:54:16 sarah kernel: Based upon Swansea University Computer
Society NET3.039
May 27 04:54:16 sarah kernel: NET4: Unix domain sockets 1.0 for Linux
NET4.0.
May 27 04:54:16 sarah kernel: NET4: Linux TCP/IP 1.0 for NET4.0
May 27 04:54:16 sarah kernel: IP Protocols: ICMP, UDP, TCP, IGMP
May 27 04:54:16 sarah kernel: TCP: Hash tables configured (ehash 65536
bhash 65536)
May 27 04:54:16 sarah kernel: Initializing RT netlink socket
May 27 04:54:16 sarah kernel: Starting kswapd v 1.5
May 27 04:54:16 sarah kernel: Detected PS/2 Mouse Port.
May 27 04:54:16 sarah kernel: Serial driver version 4.27 with MANY_PORTS
MULTIPORT SHARE_IRQ enabled
May 27 04:54:16 sarah kernel: ttyS00 at 0x03f8 (irq = 4) is a 16550A
May 27 04:54:16 sarah kernel: ttyS01 at 0x02f8 (irq = 3) is a 16550A
May 27 04:54:16 sarah kernel: ttyS02 at 0x03e8 (irq = 4) is a 16550A
May 27 04:54:16 sarah kernel: pty: 256 Unix98 ptys configured
May 27 04:54:16 sarah kernel: apm: BIOS version 1.2 Flags 0x07 (Driver
version 1.9)
May 27 04:54:16 sarah kernel: Real Time Clock Driver v1.09
May 27 04:54:16 sarah kernel: RAM disk driver initialized:  16 RAM disks of
4096K size
May 27 04:54:16 sarah kernel: VP_IDE: IDE controller on PCI bus 00 dev 39
May 27 04:54:16 sarah kernel: VP_IDE: not 100% native mode: will probe irqs
later
May 27 04:54:16 sarah kernel:     ide0: BM-DMA at 0xe000-0xe007, BIOS
settings: hda:DMA, hdb:DMA
May 27 04:54:16 sarah kernel:     ide1: BM-DMA at 0xe008-0xe00f, BIOS
settings: hdc:DMA, hdd:DMA
May 27 04:54:16 sarah kernel: hda: ST36531A, ATA DISK drive
May 27 04:54:16 sarah kernel: hdb: FX810T4, ATAPI CDROM drive
May 27 04:54:16 sarah kernel: hdc: ST36531A, ATA DISK drive
May 27 04:54:16 sarah kernel: hdd: ST36531A, ATA DISK drive
May 27 04:54:16 sarah kernel: ide2: ports already in use, skipping probe
May 27 04:54:16 sarah kernel: ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
May 27 04:54:16 sarah kernel: ide1 at 0x170-0x177,0x376 on irq 15
May 27 04:54:16 sarah kernel: hda: ST36531A, 6204MB w/128kB Cache,
CHS=790/255/63
May 27 04:54:16 sarah kernel: hdc: ST36531A, 6204MB w/128kB Cache,
CHS=13446/15/63
May 27 04:54:16 sarah kernel: hdd: ST36531A, 6204MB w/128kB Cache,
CHS=13446/15/63
May 27 04:54:16 sarah kernel: hdb: ATAPI 8X CD-ROM drive, 256kB Cache
May 27 04:54:16 sarah kernel: Uniform CDROM driver Revision: 2.56
May 27 04:54:16 sarah kernel: Floppy drive(s): fd0 is 1.44M
May 27 04:54:16 sarah kernel: FDC 0 is a post-1991 82077
May 27 04:54:16 sarah kernel: md driver 0.90.0 MAX_MD_DEVS=256, MAX_REAL=12
May 27 04:54:16 sarah kernel: raid5: measuring checksumming speed
May 27 04:54:16 sarah kernel: raid5: KNI detected, trying cache-avoiding
KNI checksum routine
May 27 04:54:16 sarah kernel:    pIII_kni  :  1045.845 MB/sec
May 27 04:54:16 sarah kernel: raid5: MMX detected, trying high-speed MMX
checksum routines
May 27 04:54:16 sarah kernel:    pII_mmx   :  1281.684 MB/sec
May 27 04:54:16 sarah kernel:    p5_mmx    :  1362.456 MB/sec
May 27 04:54:16 sarah kernel:    8regs     :   947.928 MB/sec
May 27 04:54:16 sarah kernel:    32regs    :   539.496 MB/sec
May 27 04:54:16 sarah kernel: using fastest function: pIII_kni (1045.845
MB/sec)
May 27 04:54:16 sarah kernel: scsi : 0 hosts.
May 27 04:54:16 sarah kernel: scsi : detected total.
May 27 04:54:16 sarah kernel: md.c: sizeof(mdp_super_t) = 4096
May 27 04:54:16 sarah kernel: Partition check:
May 27 04:54:16 sarah kernel:  hda: hda1 hda2 < hda5 hda6 hda7 hda8 hda9
hda10 hda11 hda12 hda13 >
May 27 04:54:16 sarah kernel:  hdc: hdc1 < hdc5 hdc6 >
May 27 04:54:16 sarah kernel:  hdd: hdd1 hdd2 < hdd5 >
May 27 04:54:16 sarah kernel: autodetecting RAID arrays
May 27 04:54:16 sarah kernel: autorun ...
May 27 04:54:16 sarah kernel: ... autorun DONE.
May 27 04:54:16 sarah kernel: VFS: Mounted root (ext2 filesystem) readonly.
May 27 04:54:16 sarah kernel: Freeing unused kernel memory: 64k freed
May 27 04:54:16 sarah kernel: Adding Swap: 128480k swap-space (priority -1)
May 27 04:54:16 sarah kernel: Adding Swap: 265032k swap-space (priority -2)
May 27 04:54:16 sarah kernel: 3c59x.c:v0.99H 11/17/98 Donald Becker
http://cesdis.gsfc.nasa.gov/linux/drivers/vortex.html
May 27 04:54:16 sarah kernel: eth0: 3Com 3c590 Vortex 10Mbps at 0xe800,
00:a0:24:bd:c3:93, IRQ 5
May 27 04:54:16 sarah kernel:   8K byte-wide RAM 1:1 Rx:Tx split,
autoselect/10baseT interface.
May 27 04:54:16 sarah kernel: eth0: Overriding PCI latency timer (CFLT)
setting of 64, new value is 248.
May 27 04:54:16 sarah identd: identd startup succeeded
May 27 04:54:16 sarah atd: atd startup succeeded
May 27 04:54:17 sarah crond: crond startup succeeded
May 27 04:54:17 sarah rc: Starting pcmcia succeeded
May 27 04:54:17 sarah inet: inetd startup succeeded
May 27 04:54:17 sarah lpd: lpd startup succeeded
May 27 04:54:17 sarah lpd[492]: restarted
May 27 04:54:17 sarah keytable: Loading keymap:
May 27 04:54:17 sarah keytable: Loading
/usr/lib/kbd/keymaps/i386/qwerty/us.kmap.gz
May 27 04:54:18 sarah keytable: Loading system font:
May 27 04:54:18 sarah rc: Starting keytable succeeded
May 27 04:54:19 sarah sendmail: sendmail startup succeeded
May 27 04:54:19 sarah gpm: gpm startup succeeded
May 27 04:54:25 sarah xfs: Warning: The directory
"/usr/share/fonts/default/TrueType" does not exist.
May 27 04:54:25 sarah xfs:          Entry deleted from font path.
May 27 04:54:25 sarah xfs: xfs startup succeeded
May 27 04:54:25 sarah linuxconf: Linuxconf final setup
May 27 04:54:27 sarah rc: Starting linuxconf succeeded
May 27 04:55:11 sarah PAM_pwdb[672]: (login) session opened for user root
by LOGIN(uid=0)
May 27 04:55:27 sarah gnome-name-server[766]: starting
May 27 04:55:27 sarah gnome-name-server[766]: name server starting
Comment 1 Preston Brown 2000-09-11 13:43:19 EDT
this seems very hardware specific.  Can you duplicate it on other machines?  We
can't.
Comment 2 chuck.moore 2000-09-12 21:27:17 EDT
Please close this bug.  After trying to replace every component in the machine 
and all sorts of reinstalls, it boiled down to a bad intel processor.  Replaced 
the processor and all is fine.
Comment 3 chuck.moore 2000-09-12 21:27:19 EDT
Please close this bug.  After trying to replace every component in the machine 
and all sorts of reinstalls, it boiled down to a bad intel processor.  Replaced 
the processor and all is fine.

Note You need to log in before you can comment on or make changes to this bug.